function JamShellListXObject(applet) {
	this.applet = applet;
}
new JamShellListXObject(0);
JamShellListXObject.prototype.onSelectAll = function() { return this.applet.onSelectAll(); }
JamShellListXObject.prototype.onSelectNone = function() { return this.applet.onSelectNone(); }
JamShellListXObject.prototype.ClearSelection = JamShellListXObject.prototype.onSelectNone;
JamShellListXObject.prototype.getSelectedItems = function() { return this.applet.getSelectedItems(); }
JamShellListXObject.prototype.focus = function() { }
JamShellListXObject.prototype.SelectedFiles = function(i) {
	var arr = this.getSelectedItems();
	return arr[i];
}
//-------
JamShellListXObject.prototype.__defineGetter__("SelCount",
	function() {
		return this.applet.getSelectedItems().length;
	}
);
JamShellListXObject.prototype.__defineGetter__("Path",
	function() {
		return this.applet.getPath();
	}
);
JamShellListXObject.prototype.__defineGetter__("ItemIndex", 
	function() {
		return 0;
	}
);
JamShellListXObject.prototype.__defineSetter__("ShellLink",
	function(value) { }
);
JamShellListXObject.prototype.__defineSetter__("Filter",
	function(value) {  }
);
JamShellListXObject.prototype.__defineSetter__("Thumbnails",
	function(value) {  }
);
JamShellListXObject.prototype.__defineSetter__("ShowFolders",
	function(value) {  }
);
JamShellListXObject.prototype.__defineSetter__("BorderStyle",
	function(value) {  }
);

function JamShellTreeXObject(applet) {
	this.applet = applet;
}
new JamShellTreeXObject(0);
JamShellTreeXObject.prototype.__defineSetter__("ShellLink",
	function(value) {  }
);
JamShellTreeXObject.prototype.__defineSetter__("RootedAt",
	function(value) {  }
);
JamShellTreeXObject.prototype.__defineSetter__("BorderStyle",
	function(value) {  }
);
JamShellTreeXObject.prototype.__defineSetter__("ShowFiles",
	function(value) {  }
);
JamShellTreeXObject.prototype.__defineSetter__("ShowRecycleBin",
	function(value) {  }
);
JamShellTreeXObject.prototype.__defineSetter__("FileSystemOnly",
	function(value) {  }
);


function FileUploaderObject(applet) {
	this.applet = applet;
}
new FileUploaderObject(0);

FileUploaderObject.prototype.__defineSetter__("UploadURL",
	function(value) {
		this.applet.setPostbackUrl(value);
	}
);
FileUploaderObject.prototype.__defineSetter__("FileName",
	function(value) {
		this.applet.setFile(value);
	}
);
FileUploaderObject.prototype.__defineGetter__("UploadURL",
	function() {
		return this.applet.getPostbackUrl();
	}
);
FileUploaderObject.prototype.__defineGetter__("FileName",
	function() {
		return this.applet.getFile();
	}
);
FileUploaderObject.prototype.__defineSetter__("MaxWidth",
	function(value) {
		this.applet.setMaxWidth(value);
	}
);
FileUploaderObject.prototype.__defineSetter__("MaxHeight",
	function(value) {
		this.applet.setMaxHeight(value);
	}
);
FileUploaderObject.prototype.__defineGetter__("ResponseText",
	function(value) {
		return this.applet.getLastResponseHeader();
	}
);
FileUploaderObject.prototype.SendRequestAsync = function () {
	return this.applet.upload();
}

FileUploaderObject.prototype.cancel = function () {
	return this.applet.cancel();
}

